## singular 4.3.1-p3+ds

=== debian/changelog ===
singular (1:4.3.1-p3+ds-2) unstable; urgency=medium

  * RC fix release, discard dependency on python3-brial (Closes: #1034769).

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 27 Apr 2023 08:16:02 +0000

singular (1:4.3.1-p3+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-autotools-libpolys-modules.patch, integrated;
    - d/copyright:
      - Files-Excluded list, update;
      - Copyright year-tuples, update;
    - d/control:
      - Standards Version, bump to 4.6.2 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 03 Jan 2023 15:14:59 +0000

=== debian/control ===
Source: singular
Section: math
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 autoconf-archive (>= 20160320), bison, libtool, help2man,
 libreadline-dev,
 libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
 graphviz, 4ti2, normaliz, surf-alggeo, topcom,
 python3
Build-Depends-Indep:
 doxygen,
 rdfind, symlinks
Standards-Version: 4.6.2
Homepage: https://www.singular.uni-kl.de/
Vcs-Git: https://salsa.debian.org/math-team/singular.git
Vcs-Browser: https://salsa.debian.org/math-team/singular

Package: singular
Architecture: any
Depends: singular-ui, singular-data, singular-modules, ${misc:Depends}
Multi-Arch: same
Description: Computer Algebra System for Polynomial Computations
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This dummy package provides the standard installation.

Package: libsingular4m3n0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Computer Algebra System for Polynomial Computations -- library package
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains shared libraries.

Package: libsingular4-dev
Provides: libsingular-dev
Section: libdevel
Architecture: any
Depends:
 libsingular4m3n0 (= ${binary:Version}),
 libsingular4-dev-common (= ${source:Version}),
 libgmp-dev,
 libflint-dev,
 libntl-dev,
 libmpfr-dev,
 ${misc:Depends}
Conflicts: libsingular-dev
Suggests: pkg-config, singular-dev-doc (= ${binary:Version})
Multi-Arch: same
Description: Computer Algebra System for Polynomial Computations -- development package
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains architecture dependent header files and static libraries.

Package: libsingular4-dev-common
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Replaces: libsingular-dev (<< 4), libsingular-3-0-4-3
Breaks: libsingular-dev (<< 4), libsingular-3-0-4-3
Description: Computer Algebra System for Polynomial Computations -- common dev package
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains common header files.

Package: singular-modules
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libsingular4m3n0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
Description: Computer Algebra System for Polynomial Computations -- module package
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the basic builtin modules.

Package: singular-data
Architecture: all
Depends: ${misc:Depends}
Recommends:
 singular-ui (= ${binary:Version}),
 graphviz, 4ti2, normaliz, surf-alggeo, topcom,
 python3-brial
Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
Multi-Arch: foreign
Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
Description: Computer Algebra System for Polynomial Computations -- shared data
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains architecture independent material.

Package: singular-ui
Architecture: any
Depends: libsingular4m3n0 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: singular-modules (= ${binary:Version})
Suggests: singular-doc (= ${source:Version})
Multi-Arch: foreign
Replaces: singular (<< 4)
Breaks: singular (<< 4)
Description: Computer Algebra System for Polynomial Computations -- console user interface
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the SINGULAR command-line interface.

Package: singular-ui-emacs
Architecture: any
Depends: singular-ui (= ${binary:Version}), emacs, ${shlibs:Depends}, ${misc:Depends}
Recommends: singular-doc (= ${source:Version})
Multi-Arch: foreign
Replaces: singular (<< 4)
Breaks: singular (<< 4)
Description: Computer Algebra System for Polynomial Computations -- emacs user interface
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the SINGULAR command-line interface within emacs.

Package: singular-ui-xterm
Architecture: any
Depends: singular-ui (= ${binary:Version}), xterm, ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Replaces: singular (<< 4)
Breaks: singular (<< 4)
Description: Computer Algebra System for Polynomial Computations -- xterm user interface
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the SINGULAR command-line interface within a (new)
 terminal window.

Package: singular-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: singular-data (= ${source:Version}), singular-ui-emacs (= ${binary:Version})
Suggests: singular (= ${binary:Version}), pdf-viewer, www-browser
Multi-Arch: foreign
Description: Computer Algebra System for Polynomial Computations -- user documentation
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the user documentation in HTML and PDF formats.

Package: singular-dev-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Suggests:
 singular (= ${binary:Version}),
# pdf-viewer,
 www-browser
Multi-Arch: foreign
Description: Computer Algebra System for Polynomial Computations -- developer documentation
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the developer documentation in HTML and PDF formats.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_PKG_VERSION = $(DEB_VERSION)

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export UPS_VERSION_UPSTREAM = $(firstword $(subst -, ,$(DEB_VERSION_UPSTREAM)))

export PYTHON=/usr/bin/python3

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/libexec/$(DEB_HOST_MULTIARCH) \
		--enable-streamio

override_dh_auto_build-indep:
	dh_auto_build -i
	$(MAKE) -C dox html

override_dh_auto_test-arch:
	chmod a+x omalloc/getlucky-omtTest-X.sh
	dh_auto_test -a

override_dh_auto_test-indep:

DEB_AUTO_INSTALL_MAKEFLAGS = TOPSRCDIR=$(CURDIR) DESTDIR=$(CURDIR)/debian/tmp
override_dh_auto_install-indep:
	dh_auto_install -i
	$(MAKE) -C dox install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)

## WARNING: documentation might not be clean
override_dh_compress-indep:
	dh_compress -X.info -X.idx

override_dh_link-arch:
	dh_link -p libsingular4-dev \
		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Singular.pc /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/singular.pc

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,uversionmangle=s/p/-p/,repacksuffix=+ds \
https://www.singular.uni-kl.de/ftp/pub/Math/Singular/SOURCES/([\d-]+)/ singular-([\d\.]+|[\d\.]+p\d+)\.tar\.gz

## singular 4.3.2

=== Singular/dyn_modules/machinelearning/ml_python/requirements.txt ===
coverage==4.5.4
numpy==1.22.0
#pandas==0.24.0
pylint==2.3.0
pytest==5.0.1
pytest-cov==2.7.1
scikit-learn==0.20.2
scipy==1.10.0
urllib3==1.26.17

## singular 4.3.2-p7+ds

=== debian/changelog ===
singular (1:4.3.2-p7+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Aug 2023 13:28:10 +0000

singular (1:4.3.2-p4+ds-1) experimental; urgency=medium

  * New upstream patch version.
  * Debianization:
    - documentation: now effectivelly provides the software documentation;
    - module package: now provides the (singular) libparse executable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 23 Jul 2023 21:30:34 +0000

singular (1:4.3.2-p3+ds-1) experimental; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/control:
      - discard all python3-brial Recommends/Suggests/Depends.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 19 Jul 2023 09:22:14 +0000

singular (1:4.3.2+ds-3) experimental; urgency=medium

  * FTBFS fix release, add python3 dependency.
  * Debianization:
    - d/control:
      - Build-Depends, add python3.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 26 Apr 2023 22:36:48 +0000

singular (1:4.3.2+ds-2) experimental; urgency=medium

  * RC fix release: discard python3-brial dependency (Closes: #1034769);
    it appears that singular (i) still uses polybori (python2) and
    (ii) have not yet migrated to brial (python3).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 26 Apr 2023 21:39:54 +0000

singular (1:4.3.2+ds-1) experimental; urgency=medium

  * New upstream micro version.
  * Debianization:
    - various janitorial changes.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 28 Mar 2023 21:03:34 +0000

## singular 4.3.2-p8+ds

=== debian/changelog ===
singular (1:4.3.2-p8+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/patches/*:
      - d/p/debianization-documentation.patch, refresh (Closes: #1052752).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 15 Oct 2023 16:52:55 +0000

=== debian/control ===
--- 
+++ 
@@ -99,8 +99,7 @@
 Depends: ${misc:Depends}
 Recommends:
  singular-ui (= ${binary:Version}),
- graphviz, 4ti2, normaliz, surf-alggeo, topcom,
- python3-brial
+ graphviz, 4ti2, normaliz, surf-alggeo, topcom
 Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3

## singular 4.3.2-p9+ds

=== debian/changelog ===
singular (1:4.3.2-p9+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Oct 2023 16:27:33 +0000

## singular 4.3.2-p10%2Bds

=== debian/changelog ===
singular (1:4.3.2-p10+ds-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:44:00 +1100

singular (1:4.3.2-p10+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062899

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:01:11 +0000

singular (1:4.3.2-p10+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 31 Oct 2023 08:56:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: singular
 Section: math
 Priority: optional
-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 12),
  autoconf-archive (>= 20160320), bison, libtool, help2man,
  libreadline-dev,
@@ -30,7 +31,10 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4m3n0
+Package: libsingular4m3n0t64
+Provides: ${t64:Provides}
+Replaces: libsingular4m3n0
+Breaks: libsingular4m3n0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -48,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libsingular4m3n0 (= ${binary:Version}),
+ libsingular4m3n0t64 (= ${binary:Version}),
  libsingular4-dev-common (= ${source:Version}),
  libgmp-dev,
  libflint-dev,
@@ -83,7 +87,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4m3n0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m3n0t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -113,7 +117,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4m3n0 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m3n0t64 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign

## singular 4.3.2-p10+ds

=== debian/changelog ===
singular (1:4.3.2-p10+ds-1build1) noble; urgency=medium

  * No-change rebuild against libflint18

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Jan 2024 11:21:38 +0000

## singular 4.4.0+ds

=== Singular/dyn_modules/machinelearning/ml_python/requirements.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 pytest-cov==2.7.1
 scikit-learn==0.20.2
 scipy==1.10.0
-urllib3==1.26.17
+urllib3==1.26.18

=== debian/changelog ===
singular (1:4.4.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/patches/*:
      - d/p/debianization-rename-libraries.patch, update;
    - d/control:
      - Standards Version, bump to 4.7.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Apr 2024 21:48:23 +0000

singular (1:4.3.2-p16+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 02 Apr 2024 20:31:52 -0400

singular (1:4.3.2-p16+ds-1~exp1) experimental; urgency=medium

  * New upstream patch version (Closes: #1067293).
  * Debianization:
    - d/control:
      - Build-Depends list, specify minimal versions for libflint-dev
        and normaliz;
      - libsingular-dev package:
        - Suggests list, rename pkg-config to pkgconf.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Apr 2024 15:40:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,33 @@
 Source: singular
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
+ dpkg-dev (>= 1.22.5),
  debhelper-compat (= 12),
- autoconf-archive (>= 20160320), bison, libtool, help2man,
+ autoconf-archive (>= 20160320),
+ bison,
+ libtool,
+ help2man,
  libreadline-dev,
- libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
- graphviz, 4ti2, normaliz, surf-alggeo, topcom,
+ libgmp-dev,
+ libmpfr-dev,
+ libglpk-dev,
+ libcdd-dev,
+ libflint-dev (>> 3.1.2-1~),
+ libntl-dev,
+ graphviz,
+ 4ti2,
+ normaliz (>> 3.10.2+ds-2~),
+ surf-alggeo,
+ topcom,
  python3
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.singular.uni-kl.de/
 Vcs-Git: https://salsa.debian.org/math-team/singular.git
 Vcs-Browser: https://salsa.debian.org/math-team/singular
@@ -60,7 +72,7 @@
  libmpfr-dev,
  ${misc:Depends}
 Conflicts: libsingular-dev
-Suggests: pkg-config, singular-dev-doc (= ${binary:Version})
+Suggests: pkgconf, singular-dev-doc (= ${binary:Version})
 Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations -- development package
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with

## singular 4.4.0-p2+ds

=== debian/changelog ===
singular (1:4.4.0-p2+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/copyright:
      - Copyright year-tuples, update;
    - modules, migrate from the /usr/libexec hierarchy to the /usr/lib one:
      - d/p/upstream-autotools-moduledir.patch, introduce;
      - d/singular-modules.lintian-overrides, obsoleted;
      - d/singular-modules.install, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 05 Jun 2024 11:17:15 +0000

singular (1:4.4.0+ds-4) unstable; urgency=medium

  * Serious bug fix (Closes: #1071734).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 May 2024 12:58:19 +0000

singular (1:4.4.0+ds-3) unstable; urgency=medium

  * Technical upload.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 23 May 2024 11:55:55 +0000

singular (1:4.4.0+ds-2) unstable; urgency=medium

  * RC bug fix (Closes: #1071585), upgrade lib package name.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 21 May 2024 21:52:47 +0000

=== debian/control ===
--- 
+++ 
@@ -43,10 +43,10 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4m3n0t64
+Package: libsingular4m4n0
 Provides: ${t64:Provides}
-Replaces: libsingular4m3n0
-Breaks: libsingular4m3n0 (<< ${source:Version})
+Replaces: libsingular4m3n0 (>> 4.4.0)
+Conflicts: libsingular4m3n0 (>> 4.4.0)
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -64,7 +64,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libsingular4m3n0t64 (= ${binary:Version}),
+ libsingular4m4n0 (= ${binary:Version}),
  libsingular4-dev-common (= ${source:Version}),
  libgmp-dev,
  libflint-dev,
@@ -99,7 +99,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4m3n0t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m4n0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -129,7 +129,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4m3n0t64 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m4n0 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign

## singular 4.4.0-p3+ds

=== debian/changelog ===
singular (1:4.4.0-p3+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/p/upstream-autotools-moduledir.patch, integrated;
    - d/p/debianization-resources.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 29 Jun 2024 21:03:45 +0000

## singular 4.4.0-p5+ds

=== debian/changelog ===
singular (1:4.4.0-p5+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Sep 2024 12:32:53 +0000

## singular 4.4.0-p6+ds

=== debian/changelog ===
singular (1:4.4.0-p6+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Oct 2024 10:27:35 +0000

## singular 4.4.0-p7+ds

=== debian/changelog ===
singular (1:4.4.0-p7+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 01 Dec 2024 16:01:24 +0000

## singular 4.4.0-p8+ds

=== debian/changelog ===
singular (1:4.4.0-p8+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Dec 2024 21:47:42 +0000

## singular 4.4.1

=== Singular/dyn_modules/machinelearning/ml_python/requirements.txt ===
coverage==4.5.4
numpy==1.22.0
#pandas==0.24.0
pylint==2.3.0
pytest==5.0.1
pytest-cov==2.7.1
scikit-learn==1.5.0
scipy==1.10.0
urllib3==2.5.0

## singular 4.4.1+ds

=== Singular/dyn_modules/machinelearning/ml_python/requirements.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 pytest-cov==2.7.1
 scikit-learn==1.5.0
 scipy==1.10.0
-urllib3==2.5.0
+urllib3==1.26.19

=== debian/changelog ===
singular (1:4.4.1+ds-2) unstable; urgency=medium

  * Technical upload (Closes: #1094692).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 01 Feb 2025 17:25:29 +0000

singular (1:4.4.1+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - d/copyright:
      - Copyright year-tuples, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Jan 2025 22:36:41 +0000

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4m4n0
+Package: libsingular4m4n1
 Provides: ${t64:Provides}
 Replaces: libsingular4m3n0 (>> 4.4.0)
 Conflicts: libsingular4m3n0 (>> 4.4.0)
@@ -64,7 +64,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libsingular4m4n0 (= ${binary:Version}),
+ libsingular4m4n1 (= ${binary:Version}),
  libsingular4-dev-common (= ${source:Version}),
  libgmp-dev,
  libflint-dev,
@@ -99,7 +99,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4m4n0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m4n1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -129,7 +129,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4m4n0 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m4n1 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir=/usr/libexec/$(DEB_HOST_MULTIARCH) \
+		--htmldir=/usr/share/doc/singular/html \
+		--with-libparse \
 		--enable-streamio
 
 override_dh_auto_build-indep:
@@ -31,6 +33,11 @@
 	dh_auto_test -a
 
 override_dh_auto_test-indep:
+
+override_dh_auto_install-arch:
+	dh_auto_install -a
+	cp -vl -t $(CURDIR)/debian/tmp/usr/libexec/$(DEB_HOST_MULTIARCH)/singular \
+		$(CURDIR)/debian/tmp/usr/bin/libparse
 
 DEB_AUTO_INSTALL_MAKEFLAGS = TOPSRCDIR=$(CURDIR) DESTDIR=$(CURDIR)/debian/tmp
 override_dh_auto_install-indep:

## singular 4.4.1-p3+ds

=== debian/changelog ===
singular (1:4.4.1-p3+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/control:
      - Standards Version, bump to 4.7.2 (no change);
    - d/watch, update/correct.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 30 Aug 2025 17:18:46 +0000

singular (1:4.4.1+ds-3) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Aug 2025 17:16:56 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.singular.uni-kl.de/
 Vcs-Git: https://salsa.debian.org/math-team/singular.git
 Vcs-Browser: https://salsa.debian.org/math-team/singular

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//;s/-p/p/,uversionmangle=s/p/-p/,repacksuffix=+ds \
https://www.singular.uni-kl.de/ftp/pub/Math/Singular/SOURCES/([\d-]+)/ singular-([\d\.]+|[\d\.]+p\d+)\.tar\.gz

## singular 4.4.1-p5+ds

=== debian/changelog ===
singular (1:4.4.1-p5+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-autotools-help2man.patch, introduce;
    - d/control:
      - Rules-Requires-Root field, now rely on default.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 16 Nov 2025 22:10:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
-Rules-Requires-Root: no
 Build-Depends:
  dpkg-dev (>= 1.22.5),
  debhelper-compat (= 12),
